# Answer verification questions

Endpoint: POST /people/{personId}/verifications/{verificationId}/attempts
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `verificationId` (string, required)
    The borrower verification unique identifier.

## Request fields (application/json):

  - `answers` (array)
    The list of answers to the questions for this verification. Ordering is not important, but the
`questionId` must match the ID of the question to which the answer corresponds. *All* of the
answers must match the stored information about the borrower in order for the verification
to be successful.

  - `answers.questionId` (string)
    The identifier for the question being answered.

  - `answers.text` (string)
    The response text. This must match the stored information about the user.
Different questions have different methods for matching the response text. For instance, some
questions will match in a case-insensitive manner, or expect a date-formatted string, or
allow for a few misspelled characters (e.g., in a name).

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.createdAt` (string)

  - `data.isSuccess` (boolean)
    `true` if this attempt to answer the questions was successful.

